<?php namespace Terrostar\LayoutBlockExtension;

use Anomaly\Streams\Platform\Addon\AddonServiceProvider;
use Terrostar\LayoutBlockExtension\Column\Contract\ColumnRepositoryInterface;
use Terrostar\LayoutBlockExtension\Column\ColumnRepository;
use Anomaly\Streams\Platform\Model\LayoutBlock\LayoutBlockColumnsEntryModel;
use Terrostar\LayoutBlockExtension\Column\ColumnModel;
use Terrostar\LayoutBlockExtension\Block\Contract\BlockRepositoryInterface;
use Terrostar\LayoutBlockExtension\Block\BlockRepository;
use Anomaly\Streams\Platform\Model\LayoutBlock\LayoutBlockBlocksEntryModel;
use Terrostar\LayoutBlockExtension\Block\BlockModel;
use Illuminate\Routing\Router;

class LayoutBlockExtensionServiceProvider extends AddonServiceProvider
{

    /**
     * The addon class bindings.
     *
     * @type array|null
     */
    protected $bindings = [
        LayoutBlockColumnsEntryModel::class => ColumnModel::class,
        LayoutBlockBlocksEntryModel::class => BlockModel::class,
    ];

}
