<?php namespace Terrostar\LayoutBlockExtension;

use Anomaly\BlocksModule\Block\BlockExtension;
use Terrostar\LayoutBlockExtension\Block\BlockModel;

class LayoutBlockExtension extends BlockExtension
{

    /**
     * This extension provides...
     *
     * This should contain the dot namespace
     * of the addon this extension is for followed
     * by the purpose.variation of the extension.
     *
     * For example anomaly.module.store::gateway.stripe
     *
     * @var null|string
     */
    protected $provides = 'anomaly.module.blocks::block.layout';

    /**
     * The block view.
     *
     * @var string
     */
    protected $view = 'terrostar.extension.layout_block::content';

    /**
     * The block model.
     *
     * @var string
     */
    protected $model = BlockModel::class;

}
